Events (Admin)

Bulk update survey questions (Admin)

PUT/manage/events/:eventId/questions/bulk

Create or update multiple questions at once, as used when saving the survey editor. Requires the questionsWrite permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

Request body

questionsQuestion[]required

Array of questions; entries with an id are updated, others are created.

Response

FieldTypeDescription
questionsQuestion[]The questions after being created or updated.
Request
curl https://api.4s.link/manage/events/EVENT_ID/questions/bulk \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"questions": [
{ "id": "q1a2b3c4-...", "title": "参加目的を教えてください", "required": true },
{ "type": "singleSelect", "title": "どこで知りましたか", "options": [{ "title": "SNS" }] }
]
}'
Example response
{
"questions": [
{
"id": "q1a2b3c4-...",
"refId": "purpose",
"type": "text",
"title": "参加目的を教えてください",
"description": null,
"required": true,
"options": [],
"ticketIds": [],
"order": 0,
"status": "PUBLISHED",
"searchable": false,
"showOnDashboard": false
}
]
}